com.io7m.jcanephora.core

## Enum JCGLBlendFunction

- java.lang.Object
- - java.lang.Enum<JCGLBlendFunction>
  - - com.io7m.jcanephora.core.JCGLBlendFunction

- All Implemented Interfaces:
    Serializable, Comparable<JCGLBlendFunction>

      public enum JCGLBlendFunction
      extends Enum<JCGLBlendFunction>

  Blend function specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLEND_CONSTANT_ALPHA` Multiply the color by the current constant alpha, saturating the result; `GL_CONSTANT_ALPHA`
    `BLEND_CONSTANT_COLOR` Multiply the color by the current constant color, saturating the result; `GL_CONSTANT_COLOR`
    `BLEND_DESTINATION_ALPHA` Multiply the color by the destination alpha; `GL_DST_ALPHA`
    `BLEND_DESTINATION_COLOR` Multiply the color by the destination color; `GL_DST_COLOR`
    `BLEND_ONE` Multiply the color by one; `GL_ONE`
    `BLEND_ONE_MINUS_CONSTANT_ALPHA` Multiply the color by one minus the current constant alpha, saturating the result; `GL_ONE_MINUS_CONSTANT_ALPHA`
    `BLEND_ONE_MINUS_CONSTANT_COLOR` Multiply the color by one minus the current constant color, saturating the result; `GL_ONE_MINUS_CONSTANT_COLOR`
    `BLEND_ONE_MINUS_DESTINATION_ALPHA` Multiply the color by one minus the destination alpha; `GL_ONE_MINUS_DST_ALPHA`
    `BLEND_ONE_MINUS_DESTINATION_COLOR` Multiply the color by one minus the destination color; `GL_ONE_MINUS_DST_COLOR`
    `BLEND_ONE_MINUS_SOURCE_ALPHA` Multiply the color by one minus the source alpha; `GL_ONE_MINUS_SRC_ALPHA`
    `BLEND_ONE_MINUS_SOURCE_COLOR` Multiply the color by one minus the source color; `GL_ONE_MINUS_SRC_COLOR`
    `BLEND_SOURCE_ALPHA` Multiply the color by the source alpha; `GL_SRC_ALPHA`
    `BLEND_SOURCE_ALPHA_SATURATE` Multiply the color by the source alpha, saturating the result; `GL_SRC_ALPHA`
    `BLEND_SOURCE_COLOR` Multiply the color by the source color; `GL_SRC_COLOR`
    `BLEND_ZERO` Multiply the color by zero; `GL_ZERO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLBlendFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLBlendFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLEND_CONSTANT_ALPHA

          public static final JCGLBlendFunction BLEND_CONSTANT_ALPHA

      Multiply the color by the current constant alpha, saturating the result; `GL_CONSTANT_ALPHA`

    - #### BLEND_CONSTANT_COLOR

          public static final JCGLBlendFunction BLEND_CONSTANT_COLOR

      Multiply the color by the current constant color, saturating the result; `GL_CONSTANT_COLOR`

    - #### BLEND_DESTINATION_ALPHA

          public static final JCGLBlendFunction BLEND_DESTINATION_ALPHA

      Multiply the color by the destination alpha; `GL_DST_ALPHA`

    - #### BLEND_DESTINATION_COLOR

          public static final JCGLBlendFunction BLEND_DESTINATION_COLOR

      Multiply the color by the destination color; `GL_DST_COLOR`

    - #### BLEND_ONE

          public static final JCGLBlendFunction BLEND_ONE

      Multiply the color by one; `GL_ONE`

    - #### BLEND_ONE_MINUS_CONSTANT_ALPHA

          public static final JCGLBlendFunction BLEND_ONE_MINUS_CONSTANT_ALPHA

      Multiply the color by one minus the current constant alpha, saturating the result; `GL_ONE_MINUS_CONSTANT_ALPHA`

    - #### BLEND_ONE_MINUS_CONSTANT_COLOR

          public static final JCGLBlendFunction BLEND_ONE_MINUS_CONSTANT_COLOR

      Multiply the color by one minus the current constant color, saturating the result; `GL_ONE_MINUS_CONSTANT_COLOR`

    - #### BLEND_ONE_MINUS_DESTINATION_ALPHA

          public static final JCGLBlendFunction BLEND_ONE_MINUS_DESTINATION_ALPHA

      Multiply the color by one minus the destination alpha; `GL_ONE_MINUS_DST_ALPHA`

    - #### BLEND_ONE_MINUS_DESTINATION_COLOR

          public static final JCGLBlendFunction BLEND_ONE_MINUS_DESTINATION_COLOR

      Multiply the color by one minus the destination color; `GL_ONE_MINUS_DST_COLOR`

    - #### BLEND_ONE_MINUS_SOURCE_ALPHA

          public static final JCGLBlendFunction BLEND_ONE_MINUS_SOURCE_ALPHA

      Multiply the color by one minus the source alpha; `GL_ONE_MINUS_SRC_ALPHA`

    - #### BLEND_ONE_MINUS_SOURCE_COLOR

          public static final JCGLBlendFunction BLEND_ONE_MINUS_SOURCE_COLOR

      Multiply the color by one minus the source color; `GL_ONE_MINUS_SRC_COLOR`

    - #### BLEND_SOURCE_ALPHA

          public static final JCGLBlendFunction BLEND_SOURCE_ALPHA

      Multiply the color by the source alpha; `GL_SRC_ALPHA`

    - #### BLEND_SOURCE_ALPHA_SATURATE

          public static final JCGLBlendFunction BLEND_SOURCE_ALPHA_SATURATE

      Multiply the color by the source alpha, saturating the result; `GL_SRC_ALPHA`

    - #### BLEND_SOURCE_COLOR

          public static final JCGLBlendFunction BLEND_SOURCE_COLOR

      Multiply the color by the source color; `GL_SRC_COLOR`

    - #### BLEND_ZERO

          public static final JCGLBlendFunction BLEND_ZERO

      Multiply the color by zero; `GL_ZERO`

  - ### Method Detail

    - #### values

          public static JCGLBlendFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLBlendFunction c : JCGLBlendFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLBlendFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com